/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

#ifndef _aliaspub_h_
#define _aliaspub_h_
                                
#include "alias.h"
                                
void MakeTable();  
void FreeTable();
void AliasCmd(int m_nArgc, char* m_pszArgv[]);
/* void HelpCmd(int m_nArgc, char* m_pszArgv[]);*/
int  GetCommandId(const char* pszCommand); 
int  GetTotalCommandId(const char* pszCommand); // for hidden command
BOOL SearchCommand(const char* pszCommand, int& nArgc, char* pszArgv[]);
int  ExpandCommand(const char* pszCommand, char* pszExpand, char* pszHints);
BOOL ExpandParameter(const char* pszCommand, const char* pszParameter, char* pszExpand);

// special for Event 1|2|3
BOOL GetEventHints(const char* pszCommand, char* pszHints);
BOOL ExpandEventPara(const char* pszCommand, const char* pszParameter, char* pszExpand);

#endif
